/*
 * helper_functions.h
 *
 * Copyright (C) 2023 charlie-foxtrot
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef _HELPER_FUNCTIONS_H
#define _HELPER_FUNCTIONS_H

#include <ctime> // struct tm
#include <string>

bool dir_exists(const std::string &dir_path);
bool file_exists(const std::string &file_path);
bool make_dir(const std::string &dir_path);
bool make_subdirs(const std::string &basedir, const std::string &subdirs);
std::string make_dated_subdirs(const std::string &basedir, const struct tm *time);

#endif /* _HELPER_FUNCTIONS_H */
